package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织表
 * </p>
 */
@Data
@TableName("sys_organize")
public class Organize implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 组织编号
     */
    @TableField("organize_id")
    private String organizeId;

    /**
     * 父级编号
     */
    @TableField("parent_id")
    private String parentId;

    /**
     * 名称
     */
    @TableField("name")
    private String name;

    /**
     * 归属区域
     */
    @TableField("region")
    private String region;

    /**
     * 组织编码
     */
    @TableField("code")
    private String code;

    /**
     * 组织类型（集团医院、医共、医联、医院）
     */
    @TableField("type")
    private String type;

    /**
     * 排序
     */
    @TableField("order_no")
    private String orderNo;

    /**
     * 状态 0:禁用，1：启用
     */
    @TableField("status")
    private String status;

    /**
     * 创建者编号
     */
    @TableField("creator")
    private Long creator;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
