package com.lantone.security.web;

import com.lantone.common.api.CommonResult;
import com.lantone.security.facade.UserAdminFacade;
import com.lantone.security.vo.LoginVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @Description: 用户管理
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Controller
@Api(tags = "UserAdminController", description = "用户管理")
@RequestMapping("/userAdmin")
public class UserAdminController {

    @Autowired
    private UserAdminFacade userAdminFacade;

    @ApiOperation(value = "登录以后返回token")
    @RequestMapping(value = "/login", method = RequestMethod.POST)
    @ResponseBody
    public CommonResult login(@Validated @RequestBody LoginVO loginVO) {
        return userAdminFacade.login(loginVO);
    }

    @ApiOperation(value = "登出功能")
    @RequestMapping(value = "/logout", method = RequestMethod.POST)
    @ResponseBody
    public CommonResult logout() {
        return CommonResult.success(null);
    }

}